body {
    background-color: rgb(220, 220, 220);
    color: black;
}

p {
    margin: 0; 
}

a {
    color: black;
    text-decoration: none;
}

#headerDiv {
    display: flex;
    flex-direction: row; 
    flex-wrap: wrap;
    max-width: 95%;
    height: auto;
    margin-bottom: 20px;
    padding-bottom: 10px;
    border-bottom: 2px solid rgb(141, 68, 0);
}

#headerLinkDiv {
    width: 70%;
    max-width: 1250px;
    height: 150px;
    position: relative;
    left: 75px;
    top: 30px;
    display: flex;
    flex-direction: row; 
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 20px;
    height: min-content;
}

.headerLink {
    text-decoration: none;
    font-family: Rockwell;
    color: rgb(214, 150, 89);
    -webkit-text-stroke: 1px black;
    font-size: 18px;
    text-align: center;
}

#logoDiv {
    width:250px;
    left: 10px;
    position: relative;
}

#popLogoImg {
    width: 100%;
    position: relative;
    left: 0%;
    top: 0%;
    display: block;
}

#content {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
}

#textContent {
    width: 45%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 20px;
    animation: slideIn 1s ease-out forwards;
}

#tagline {
    width: 120%; 
    font-size: 120px;
    text-align: center;
    font-family: Rockwell;
    font-style: italic;
    font-weight: 600;
    height: auto;
    color: rgb(55, 55, 55); 
    -webkit-text-stroke: 2px rgb(141, 68, 0);
    line-height: 0.9; 
    text-decoration: none;
}

#featured {
    font-family: Rockwell;
    font-style: italic;
    font-weight: 300;
    font-size: 50px;
    width: fit-content;
    color: rgb(25, 25, 25);
    -webkit-text-stroke: 1px rgb(141, 68, 0);
    word-spacing: 10px;
}

#fistDiv {
    width: 40%;
    position: relative;
    left: 8%;
}

#fistImg {
    width: 100%;
    position: relative;
    top: -80px;
    mask-image: 
        linear-gradient(to bottom, transparent, black 25%, black 75%, transparent),
        linear-gradient(to right, transparent, black 25%, black 75%, transparent);
    mask-composite: intersect;
}

#featuredWorks {
    border-bottom: 2px solid black;
    width: fit-content;
    margin-bottom: 10px;
}

.featuredDiv {
    border: 2px solid black;
    width: fit-content;
    max-width: 90%;
    border-radius: 10px;
    position: relative;
    display: flex;
    height: fit-content;
    margin-bottom: 10px;
}

.researchLinkImg {
    height: 150px;
    align-items: center;
    justify-content: center;
}

.researchImg {
    height: 100%;
    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
}

.researchWriting {
    display: flex;
    flex-direction: column;
    margin-left: 10px;
    border-left: 2px solid black;
    padding-left: 5px;
}

.researchTitle {
    height: fit-content;
    font-size: 20px;
    font-family: Rockwell;
    font-weight: bold;
    border-bottom: 2px solid black;
    font-style: italic;
    color: black;
    -webkit-text-stroke: 0px black;
    width: fit-content;
}

.researchDescription {
    margin-top: 5px;
    font-size: 15px;
    font-family: Rockwell;
    color: black;
    -webkit-text-stroke: 0px black;
    font-style: normal;
    word-spacing: 5px;
    padding-right: 5px;
}

.researchLinks {
    border-left: 2px solid black;
    height: fit-content;
    margin-top: 10px;
    margin-bottom: 10px;
}

.substackImg {
    width: 45px;
    padding-bottom: 5px;
}

.substackLink {
    height: fit-content;
}

.pdfImg {
    width: 40px;
    margin-left: 2.5px;
}

.pdfLink {
    height: fit-content;
}

#footer {
    margin: auto;
    width: fit-content;
    margin-top: 10px;
    animation: slideIn 1s ease-out forwards;
    font-size: 40px;
    font-family: Rockwell;
    font-weight: bold;
    font-style: italic;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#followUs {
    margin: auto;
}

#footerLinks {
    width: fit-content;
    display: flex;
    margin: auto;
    gap: 80px;
}

.footerImg {
    width: 75px;
    margin-top: 10px;
}

#substackImgFooter {
    width: 100px;
    top: -10%;
    position: relative;
}

#tiktokImg {
    border-radius: 10px;
}

@media (max-width: 1200px) {
    .headerLink {
        font-size: 14px;
    }

    #headerLinkDiv {
        left: 5%;
        gap: 20px;
    }

    #logoDiv {
        width: 25%;
    }

    #tagline {
        font-size: 80px;
        width: 100%;
    }

    .researchTitle {
        font-size: 15px;
    }

    .researchDescription {
        font-size: 12px;
    }

    .researchImg {
        height: 120px;
    }

    #fistImg {
        top: -40px;
    }
}

@media (max-width: 900px) {
    
    .headerLink {
        -webkit-text-stroke: 0.5px black;
        font-size: 12px;
    }
    
    #fistDiv {
        width: 400px;
        justify-content: center;
        margin: auto;
        left: 0;
    }

    #fistImg {
        width: 100%; 
        top: -20px;
    }

    #content{
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: fit-content;
    }

    #textContent {
        justify-content: center;
        align-items: center;
        width: fit-content;
    }

    #tagline {
        font-size: 40px;
        -webkit-text-stroke: 1px rgb(141, 68, 0);
        margin: auto;
    }

    #featured {
        font-size: 30px;
        -webkit-text-stroke: 0.5px rgb(141, 68, 0);
    }

    .researchImg {
        height: 100px;
    }

    #footerLinks {
        gap: 30px;
    }

    .footerImg {
        width: 50px;
        margin-top: 10px;
    }
    
    #substackImgFooter {
        width: 60px;
    }

}

@media (max-width: 500px) {

    #headerDiv {
        justify-content: center;
        align-items: center;
        flex-direction: column;
        padding-bottom: 0px;
    }

    #logoDiv {
        width: 200px;
    }

    #headerLinkDiv {
        font-size: 40px;
        flex-direction: column;
        top: 0px;
    }

    .headerLink {
        color: rgb(141, 68, 0);
        -webkit-text-stroke: 0px black;
    }

    #content {
        align-items: normal;
    }

    #textContent {
        height: auto;
    }

    #tagline {
        font-size: 30px;
        -webkit-text-stroke: 0px black;
    }

    #featured {
        height: auto;
    }

    #featuredWorks {
        font-size: 20px;
        -webkit-text-stroke: 0px black;
    }

    .researchImg {
        height: 60px;
    }

    #fistDiv{
        width: 300px;
    }

    #footerLinks {
        gap: 20px;
    }

    .footerImg {
        width: 40px;
    }

    #substackImgFooter {
        width: 55px;
        margin-top: 8px;
    }

    #followUs {
        font-size: 30px;
    }

}

@keyframes slideIn {
    0% {
      transform: translateY(500px); 
      opacity: 0;                   /* Invisible at start */
    }
    100% {
      transform: translateX(0);     
      opacity: 1;                   /* Fully visible */
    }
  }